aboutsummaryrefslogtreecommitdiffstats
path: root/testing/ortp/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2011-08-10 06:49:44 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2011-08-10 06:50:23 +0000
commit3c3d049b38e95a2de1c4f79dc80f83fa16984d18 (patch)
tree37cedb1d5ba6b9dbaa64b2e7299e6c66e7929da0 /testing/ortp/APKBUILD
parent2e3732a65c1b080810fb59556ccc6be155aaaf97 (diff)
downloadaports-3c3d049b38e95a2de1c4f79dc80f83fa16984d18.tar.gz
aports-3c3d049b38e95a2de1c4f79dc80f83fa16984d18.tar.bz2
aports-3c3d049b38e95a2de1c4f79dc80f83fa16984d18.tar.xz
testing/ortp: new aport
A C library implementing the RTP protocol (RFC3550) http://www.linphone.org/index.php/code_review/ortp
Diffstat (limited to 'testing/ortp/APKBUILD')
-rw-r--r--testing/ortp/APKBUILD47
1 files changed, 47 insertions, 0 deletions
diff --git a/testing/ortp/APKBUILD b/testing/ortp/APKBUILD
new file mode 100644
index 0000000000..bc419952a4
--- /dev/null
+++ b/testing/ortp/APKBUILD
@@ -0,0 +1,47 @@
+# Contributor: Natanael Copa <ncopa@alpinelinux.org>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=ortp
+pkgver=0.16.1
+pkgrel=0
+pkgdesc="A C library implementing the RTP protocol (RFC3550)"
+url="http://www.linphone.org/index.php/code_review/ortp"
+arch="all"
+license="LGPLv2+ VSL"
+depends=""
+makedepends=""
+install=""
+subpackages="$pkgname-dev"
+source="http://nongnu.askapache.com/linphone/ortp/sources/ortp-$pkgver.tar.gz
+ ortp-0.16.1-retval.patch
+ ortp-0.16.1-unusedvar.patch
+ "
+
+_builddir="$srcdir"/ortp-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --disable-static \
+ --enable-ipv6 \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="bc96cdcb9c139d366a720a94200f92dd ortp-0.16.1.tar.gz
+cdd971e04073b3de2e935e6ff502110f ortp-0.16.1-retval.patch
+f3323a01f3d82279c3ce5ed1bb1969c5 ortp-0.16.1-unusedvar.patch"